Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77191 - Profiling directory is missing from RPM
Summary: Profiling directory is missing from RPM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: docbook-style-xsl
Version: 7.3
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-02 17:54 UTC by john.himpel
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-04 16:32:22 UTC


Attachments (Terms of Use)

Description john.himpel 2002-11-02 17:54:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i586; U;) Gecko/20020913

Description of problem:
When I select /usr/share/sgml/docbook/xsl-stylesheets/html/profile-docbook.xsl
as my stylesheet, XSLTPROC cannot include files from the missing
/usr/share/sgml/docbook/xsl-stylesheets/profiling directory.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run any ESLT processor with a stylesheet of
/usr/share/sgml/docbook/xsl-stylesheets/html/profile-docbook.xsl
2.
3.
	

Actual Results:  warning: failed to load external entity
"file:///usr/share/sgml/docbook/xsl-stylesheets/profiling/profile-mode.xsl"
compilation error: file
file:///usr/share/sgml/docbook/xsl-stylesheets/html/profile-docbook.xsl line 256
element include
xsl:include : unable to load
file:///usr/share/sgml/docbook/xsl-stylesheets/profiling/profile-mode.xsl


Expected Results:  Transformation should have completed

Additional info:

Comment 1 Tim Waugh 2002-11-04 12:10:48 UTC
This stylesheet was added after Red Hat Linux 7.3 was cut.  Use Red Hat Linux 8.0.

Comment 2 john.himpel 2002-11-04 16:32:15 UTC
Tim,
The subdirectory does not appear to be present in either the RH8 or RawHide 
RPMS.

It appears as though the install-xsl commands in docbook-style-xsl.Makefile
need to have a
<tab>cp profiling/*.xsl $(DESTDIR)/profiling</programlisting>
command added.
Also, add profiling to the list of directories in the mkdir command.

John



Comment 3 Tim Waugh 2002-11-04 17:00:46 UTC
Oops, sorry, misread!

Fixed package is docbook-style-xsl-1.57.0-2, which will show up in rawhide shortly.


Note You need to log in before you can comment on or make changes to this bug.